com.atid.lib.module.barcode.spc.type

## Enum TelepenOutput

- java.lang.Object
- - java.lang.Enum<TelepenOutput>
  - - com.atid.lib.module.barcode.spc.type.TelepenOutput

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<TelepenOutput>

      public enum TelepenOutput
      extends java.lang.Enum<TelepenOutput>
      implements IEnumType

  Using AIM Telepen Output, the scanner reads symbols with start/stop pattern 1 and decodes them as standard full ASCII (start/stop pattern 1). When Original Telepen Output is selected, the scanner reads symbols with start/stop pattern 1 and decodes them as compressed numeric with optional full ASCII (start/stop pattern 2).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AIMTelepenOutput`
    `OriginalTelepenOutput`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static TelepenOutput` | `valueOf(int code)`
    `static TelepenOutput` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TelepenOutput[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AIMTelepenOutput

          public static final TelepenOutput AIMTelepenOutput

    - #### OriginalTelepenOutput

          public static final TelepenOutput OriginalTelepenOutput

  - ### Method Detail

    - #### values

          public static TelepenOutput[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TelepenOutput c : TelepenOutput.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TelepenOutput valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<TelepenOutput>`

    - #### valueOf

          public static TelepenOutput valueOf(int code)